ListListingRolePolicies
/api/v1/listings/{listing}/roles/{role}/policiesList the policies that govern who may hold a listing role and how.
Example request
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/listings/{listing}/roles/{role}/policies"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/listings/{listing}/roles/{role}/policies"Set OBLIQUE_API_KEY to your API key.
Path parameters
parentstringrequiredFormat:
listings/{listing}/roles/{role}
Query parameters
pageSizeinteger (int32)pageTokenstringA page token, received from a previous
ListListingRolePoliciescall.filterstringFilter that can be used to search for policies. Supports filtering by:
-
user: returns policies where the user is a member of the eligible team or group.
user = "users/{user}"oruser = "users/me" -
team: returns policies where the given team is the eligible subject.
team = "teams/{team}" -
group: returns policies where the given group is the eligible subject.
group = "groups/{group}"
-
Response
200ListListingRolePoliciesResponselistingRolePoliciesListingRolePolicy[]namestringAssigned by Oblique. Name of the policy of the form
listings/{listing}/roles/{role}/policies/{listing_role_policy}createTimestring (date-time)read-onlyThe time when this policy was created.
updateTimestring (date-time)read-onlyThe time when this policy was last updated.
deleteTimestring (date-time)read-onlyListingRolePolicies can only be soft-deleted to preserve logs and history. If this field is present, the policy has been deleted and won’t be returned in lists.
justificationRequiredbooleanSet once, when the resource is created. If true, users will be required to provide a justification when requesting auto-approved access. The justification response will be stored on the resulting request.
justificationPromptstringSet once, when the resource is created. Admins can specify a custom question for the justification field to show users.
defaultExpirystring (duration)Set once, when the resource is created. If present, users can only self-serve access to a role for this duration. Otherwise, users can select how long they would like to have access to the role.
managementManagementHow this policy is managed. Inherited from the grandparent listing (via the parent role): policies under a Terraform-managed listing are themselves Terraform managed and can only be created, updated, or deleted through the Terraform provider; manage the listing to change this. Omitted from responses when the listing is manually managed (the default).
managerstringHow the resource is managed. Set automatically by the server based on the caller: Terraform clients produce TERRAFORM; for all other clients the management field is left unset on the response.
repoUristringURI of the VCS repository that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.
nextPageTokenstringA token, which can be sent as
page_tokento retrieve the next page.
Errors
| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |